function bt = rK4

% Angewandte Numerik 2, Wintersemester 2016/2017, 20.01.2017
% Uebungsblatt 10, Aufgabe 31: Weitere Einschrittverfahren
%
% rKverbEuler liefert das Butchertableau des
%           klassischen Runge-Kutta--Verfahrens 4. Ordnung zurueck
%
% Parameter: keine
%
% Rueckgabewert:
%   bt:     Butcher-Tableau als Struktur mit den Komponenten
%           - bt.m:     die Stufenzahl des Runge-Kutta-Verfahrens
%           - bt.alpha: der Spaltenvektor alpha des RK-Verfahrens
%           - bt.beta:  die Matrix beta des RK-Verfahrens
%           - bt.gamma: der Zeilenvektor beta des RK-Verfahrens



%% Das Butcher-Tableau

bt.m = 4;                               % 4 Stufen

bt.alpha = [0  ; 1/2; 1/2; 1  ];        % aehnlich Simpsonregel
bt.beta  = [0    0    0    0;           % explizites Verfahren
            1/2  0    0    0;
            0    1/2  0    0;
            0    0    1    0];
bt.gamma = [1/6  1/3  1/3  1/6];        % aehnlich Simpsonregel
